Bug 1270591 - Python exception raised when running "bugwarrior-pull"
Python exception raised when running "bugwarrior-pull"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bugwarrior (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 10:05 EDT by wpbwi
Modified: 2015-10-31 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: bugwarrior-1.2.0-2.fc21 bugwarrior-1.2.0-2.fc22 bugwarrior-1.2.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:20:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wpbwi 2015-10-11 10:05:05 EDT
Description of problem:
There is a python exception rasied when running the bugwarrior-pull command once I've installed the package.

Version-Release number of selected component (if applicable):
bugwarrior 1.2.0

How reproducible:
Very.

Steps to Reproduce:
1. Install bugwarrior (`dnf install bugwarrior`)
2. Run bugwarrior-pull command (`bugwarrior-pull`)

Actual results:
Traceback (most recent call last):
  File "/usr/bin/bugwarrior-pull", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3084, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3070, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3097, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 651, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 952, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 839, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pyxdg' distribution was not found and is required by bugwarrior

Expected results:
Ability to create a cron task as per the docs (https://bugwarrior.readthedocs.org/en/latest/using.html).
Comment 1 wpbwi 2015-10-11 10:14:19 EDT
It seems to fix this exact bug it's just missing pulling in the "pyxdg" dependency. I did notice after I installed this and re-ran the command it showed:

CRITICAL:command:oh noes
TRACE Traceback (most recent call last):
TRACE   File "/usr/lib/python2.7/site-packages/bugwarrior/command.py", line 45, in pull
TRACE     config = load_config(main_section)
TRACE   File "/usr/lib/python2.7/site-packages/bugwarrior/config.py", line 152, in load_config
TRACE     "utf-8",
TRACE   File "/usr/lib64/python2.7/codecs.py", line 884, in open
TRACE     file = __builtin__.open(filename, mode, buffering)
TRACE IOError: [Errno 2] No such file or directory: '/home/username/.config/bugwarrior/bugwarriorrc'

If you touch the file it'll then display an error showing you an example template.
Comment 2 Fedora Update System 2015-10-11 14:21:05 EDT
bugwarrior-1.2.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b45378e1cd
Comment 3 Fedora Update System 2015-10-11 14:23:09 EDT
bugwarrior-1.2.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-406376989c
Comment 4 Fedora Update System 2015-10-11 14:23:20 EDT
bugwarrior-1.2.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3468f013cd
Comment 5 lnie 2015-10-12 02:07:33 EDT
got the same result as #com1 after installed  bugwarrior-1.2.0-2.fc23
Comment 6 Fedora Update System 2015-10-12 02:25:20 EDT
bugwarrior-1.2.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bugwarrior'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3468f013cd
Comment 7 Ralph Bean 2015-10-12 10:27:22 EDT
Makes sense.  that's an upstream bug then.  Will fix!
Comment 8 Fedora Update System 2015-10-13 14:21:29 EDT
bugwarrior-1.2.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bugwarrior'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b45378e1cd
Comment 9 Fedora Update System 2015-10-13 14:21:51 EDT
bugwarrior-1.2.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bugwarrior'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-406376989c
Comment 10 Fedora Update System 2015-10-23 12:20:16 EDT
bugwarrior-1.2.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-23 13:23:33 EDT
bugwarrior-1.2.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-31 22:41:49 EDT
bugwarrior-1.2.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.